package ru.yandex.direct.web.entity.useractionlog;

import javax.annotation.ParametersAreNonnullByDefault;

import io.leangen.graphql.annotations.GraphQLNonNull;

@ParametersAreNonnullByDefault
public class AdView {
    private final long id;
    private final String title;

    public AdView(long id, String title) {
        this.id = id;
        this.title = title;
    }

    @GraphQLNonNull
    public long getId() {
        return id;
    }

    public @GraphQLNonNull
    String getTitle() {
        return title;
    }
}
